> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Followers

> Allows removal of one or all followers from an opportunity.



## OpenAPI

````yaml /api-reference/opportunities/openapi.json delete /opportunities/{id}/followers
openapi: 3.0.0
info:
  title: Opportunities API
  description: Documentation for Opportunities API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Opportunities
    description: Documentation for Opportunities API
  - name: Search
    description: Documentation for Opportunities API
  - name: Pipelines
    description: Documentation for Opportunities API
  - name: Export
    description: Documentation for Opportunities API
  - name: Pipiline Search
    description: Documentation for Opportunities API
  - name: Lost reason
    description: Documentation for Opportunities API
  - name: Followers
    description: Documentation for Opportunities API
paths:
  /opportunities/{id}/followers:
    delete:
      tags:
        - Followers
      summary: Remove Followers
      description: Allows removal of one or all followers from an opportunity.
      operationId: remove-followers-opportunity
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: id
          required: true
          in: path
          description: Opportunity Id
          schema:
            example: sx6wyHhbFdRXh302Lunr
            type: string
        - name: isRemoveAllFollowers
          required: false
          in: query
          schema:
            type: boolean
            example: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FollowersDTO'
      responses:
        '200':
          description: Followers successfully removed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteFollowersSuccessfulResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - opportunities.write
components:
  schemas:
    FollowersDTO:
      type: object
      properties:
        followers:
          example:
            - sx6wyHhbFdRXh302Lunr
            - sx6wyHhbFdRXh302Lunr
          type: array
          items:
            type: string
      required:
        - followers
    DeleteFollowersSuccessfulResponseDto:
      type: object
      properties:
        followers:
          example:
            - sx6wyHhbFdRXh302Lunr
            - sx6wyHhbFdRXh302LLss
          type: array
          items:
            type: string
        followersRemoved:
          example:
            - Mx6wyHhbFdRXh302Luer
            - Ka6wyHhbFdRXh302LLsAm
          type: array
          items:
            type: string
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````